summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests.sh b/tests.sh
index a701e3d..0e337bd 100755
--- a/tests.sh
+++ b/tests.sh
@@ -255,6 +255,7 @@ bsd_tests=(
test_inum
test_nogroup
test_nouser
+ test_exit
)
gnu_tests=(
@@ -1202,6 +1203,20 @@ function test_deep_strict() {
bfs_diff deep -mindepth 18
}
+function test_exit() {
+ $BFS basic -name foo -exit 42
+ if [ $? -ne 42 ]; then
+ return 1
+ fi
+
+ $BFS basic -name qux -exit 42
+ if [ $? -ne 0 ]; then
+ return 1
+ fi
+
+ bfs_diff basic -name bar -exit -o -print
+}
+
passed=0
failed=0